2018-08-18 07:30 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001800FSSCPgraphicspublic2008-11-03 23:57
ReporterZacam 
Assigned Tophreak 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001800: 1:1 Planetary Scaling going eliptical in widescreen
Descriptionthe default 1:1 planet Y:X scaling deforms under widescreen, requiring a ScaleX=2.0, ScaleY=2.2 to fix.

7z has three images:
AspectScale-NormalScreen: 1024x768 @ 1:1
AspectScale-Wide-Problem: 1680x1050 @ 1:1
AspectScale-Wide-Fixed: 1680x1050 @ 2.0:2.2
Steps To ReproduceObserve any planetary or scaled background in widescreen. Screens are from mission SM1-01.
Additional InformationPresence of -fov of any value (or not at all) has minor effect, but does nothing to resolve it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010135

phreak (developer)

Try the next nightly build

~0010145

Zacam (administrator)

Last edited: 2008-11-02 04:19

PlanetG in Loop1-3 is still not scaled right. In fact, it is even more elliptical. However, PlanetC is just fine.

PlanetG is set to Scale 3.0 for X and Y.

4931 and 4932 were used.

~0010151

phreak (developer)

Ok this may be better, check the next nightly...

Also, check the bitmaps and ensure the planets are actually spherical

~0010152

Zacam (administrator)

The DDS files are indeed circular. Or, as close to Π as possible.

This can be considered closed with build 4933.

Thank you.

~0010153

phreak (developer)

Very well then
+Notes

-Issue History
Date Modified Username Field Change
2008-10-19 11:42 Zacam New Issue
2008-10-19 11:42 Zacam File Added: AspectScalingIssue.7z
2008-10-29 23:19 phreak Status new => assigned
2008-10-29 23:19 phreak Assigned To => phreak
2008-10-30 00:03 phreak Note Added: 0010135
2008-11-02 04:18 Zacam Note Added: 0010145
2008-11-02 04:19 Zacam Note Edited: 0010145
2008-11-02 19:01 phreak Note Added: 0010151
2008-11-03 22:02 Zacam Note Added: 0010152
2008-11-03 23:57 phreak Status assigned => resolved
2008-11-03 23:57 phreak Resolution open => fixed
2008-11-03 23:57 phreak Note Added: 0010153
+Issue History